### Method

# Cogl Shader source

deprecated: 1.16

#### Declaration [src]

    void
    cogl_shader_source (
      CoglShader* self,
      const char* source
    )

#### Description [src]

Replaces the current source associated with a shader with a new one.

Deprecated since: 1.16

Use `CoglSnippet` api.

#### Parameters

`source`

  Type: `const char*`

  Shader source.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.